Gecode::Search::Base< T > Class Template Reference

Base-class for search engines. More...

`#include <search.hh>`

## Public Member Functions

virtual T * | next (void)
| Return next solution (NULL, if none exists or search has been stopped).
virtual Statistics | statistics (void) const
| Return statistics.
virtual bool | stopped (void) const
| Check whether engine has been stopped.
virtual | ~Base (void)
| Destructor.

## Protected Member Functions

| Base (Engine *e=NULL)
| Constructor.

## Protected Attributes

Engine * | e
| The actual search engine.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

template<class T>
class Gecode::Search::Base< T >

Base-class for search engines.

Definition at line 925 of file search.hh.

## Constructor & Destructor Documentation

## Base()

template<class T>

Gecode::Search::Base< T >::Base | ( | Engine * | e = NULL | ) |

inline protected

Constructor.

Definition at line 42 of file base.hpp.

## ~Base()

template<class T>

Gecode::Search::Base< T >::~Base | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 61 of file base.hpp.

## Member Function Documentation

## next()

template<class T>

T * Gecode::Search::Base< T >::next | ( | void |  | ) |

inline virtual

Return next solution (NULL, if none exists or search has been stopped).

Definition at line 46 of file base.hpp.

## statistics()

template<class T>

Statistics Gecode::Search::Base< T >::statistics | ( | void |  | ) | const

inline virtual

Return statistics.

Definition at line 51 of file base.hpp.

## stopped()

template<class T>

bool Gecode::Search::Base< T >::stopped | ( | void |  | ) | const

inline virtual

Check whether engine has been stopped.

Definition at line 56 of file base.hpp.

## Member Data Documentation

## e

template<class T>

Engine* Gecode::Search::Base< T >::e

protected

The actual search engine.

Definition at line 932 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/base.hpp